package com.example.surveillanceapp;

import android.app.Application;

import org.eclipse.paho.client.mqttv3.MqttException;
import org.eclipse.paho.android.service.MqttAndroidClient;
import org.eclipse.paho.client.mqttv3.IMqttActionListener;
import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.IMqttToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttClient;
import org.eclipse.paho.client.mqttv3.MqttConnectOptions;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.eclipse.paho.client.mqttv3.MqttMessage;


public class CustomApplication extends Application {
    private static ConnectionHandler connectionHandler;

    @Override
    public void onCreate() {
        super.onCreate();
        connectionHandler = new ConnectionHandler(this);
    }

    public ConnectionHandler getConnectionHandler(){
        return connectionHandler;
    }

}
